<!-- 会员机构管理-机构管理-机构资料管理-自营会员登录账号-重置密码 -->
<template>
    <app-drawer :title="t('common.alert')" v-model:show="show" :loading="loading">
        <div class="g-text-message">{{ t('member.institution.user.terminal.password.message') }}</div>
        <template #footer>
            <el-button @click="onCancel">{{ t('operation.cancel') }}</el-button>
            <el-button type="primary" @click="onSubmit">{{ t('operation.confirm') }}</el-button>
        </template>
    </app-drawer>
</template>

<script lang="ts" setup>
import { shallowRef, PropType } from 'vue'
import { ElMessage } from 'element-plus'
import { selfsupportresetPwd } from '@/services/api/member'
import AppDrawer from '@pc/components/base/drawer/index.vue'
import { i18n } from '@/stores'

const props = defineProps({
    selectedItem: {
        type: Object as PropType<Member.SelfSupportRsp>,
        required: true
    }
})

const { global: { t } } = i18n
const show = shallowRef(true)
const loading = shallowRef(false)

const onCancel = () => {
    show.value = false
}

const onSubmit = () => {
    loading.value = true
    selfsupportresetPwd({
        data: {
            loginid: props.selectedItem.loginid
        }
    }).then(() => {
        ElMessage.success(t('common.tips19'))
    }).catch((err) => {
        ElMessage.error(t('common.tips20') + err)
    }).finally(() => {
        loading.value = false
        onCancel()
    })
}
</script>